#import <appkit/appkit.h>
#import <uhtoolkit/UHTool.h>

@class Block;

@interface BlockTool : UHTool

{
	id blockClass;
}

//CLASS METHODS
+ initialize;
+ setBlockClass:aClass;
+ blockClass;

//INSTANCE METHODS

- initForPath:(const char*)fullPath;
- (Block *)newBlock;
- (List*)getSocketListForConfig:(const char*)aName;
- setBlock:(Block *)aBlock toConfig:(const char*)aName;
- setBlockClass:aClassObject;
- blockClass;
- write:(NXTypedStream *)ts;
- read:(NXTypedStream *)ts;

@end

