
#import <appkit/appkit.h>
#import "DiagramCell.h"

@class Socket;

@interface Post:DiagramCell

	#define UH_NOPOST 0
	#define UH_SQUAREPOST 1
	#define UH_ROUNDPOST 2
	#define UH_IMAGEPOST 99

{
	Socket *mySocket;
	int postType;
}

//CLASS METHODS

+ (NXImage *)classImage;
+ initialize;
+ setPostType:(int)type;
+ (int)postType;
+ setSocketClass:aClass;
+ socketClass;

// INSTANCE METHODS

- init;
- initImage:(NXImage *)anImage;
- initFrame:(const NXRect *)rect;
- getSocketSize:(NXSize *)size;
- (const char *)getInspectorClassName;
- (Socket *)socket;
- drawInDirtyRect:(NXRect *)dirtyRect;
- drawCellInRect:(NXRect *)rect;
- drawSelected;
- setPostType:(int)type;
- (int)postType;
- matchAttributesOf:post;
- mouseHitAtPoint:(NXPoint *)location;
- free;
- write:(NXTypedStream *)stream;
- read:(NXTypedStream *)stream;

@end
