#import <appkit/appkit.h>
#import "DiagramCell.h"

@class Socket;

@interface Block:DiagramCell
{
	List *socketList;
	id keySocket;
}

// CLASS METHODS
+ initialize;
+ setSocketClass:aClass;
+ socketClass;

// INSTANCE METHODS

- initImage:(NXImage *)anImage;
- initFrame:(const NXRect *)rect;
- (const char *)getInspectorClassName;
- (List *)socketsLabelled:(const char *)aLabel;
- setSocketsLabelled:(const char *)aLabel toCount:(int)n;
- redrawImage;
- sizeTo:(float)newWidth :(float)newHeight;
- relocateSocketsFromSize:(NXSize *)oldSize;
- addSocket:(Socket *)socket;
- setKeySocket:(Socket *)socket;
- (Socket *)keySocket;
- (List *)socketList;
- mouseHitAtPoint:(NXPoint *)location;
- alignToGrid:(float)grid;
- free;
- write:(NXTypedStream *)stream;
- read:(NXTypedStream *)stream;

@end
